• Русский
  • VSphereFailureDomain [infrastructure.cluster.x-k8s.io/v1beta1]

    Description
    VSphereFailureDomain is the Schema for the vspherefailuredomains API Deprecated: This type will be removed in one of the next releases.
    Type
    object

    Specification

    PropertyTypeDescription
    apiVersionstring

    APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

    kindstring

    Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

    metadataObjectMeta

    ObjectMeta is metadata that all persisted resources must have, which includes all objects users must create.

    specobject

    VSphereFailureDomainSpec defines the desired state of VSphereFailureDomain

    .spec

    Description
    VSphereFailureDomainSpec defines the desired state of VSphereFailureDomain
    Type
    object
    Required
    regiontopologyzone
    PropertyTypeDescription
    regionobject

    Region defines the name and type of a region

    topologyobject

    Topology is the what describes a given failure domain using vSphere constructs

    zoneobject

    Zone defines the name and type of a zone

    .spec.region

    Description
    Region defines the name and type of a region
    Type
    object
    Required
    nametagCategorytype
    PropertyTypeDescription
    autoConfigureboolean

    AutoConfigure tags the Type which is specified in the Topology

    namestring

    Name is the name of the tag that represents this failure domain

    tagCategorystring

    TagCategory is the category used for the tag

    typestring

    Type is the type of failure domain, the current values are "Datacenter", "ComputeCluster" and "HostGroup"

    .spec.topology

    Description
    Topology is the what describes a given failure domain using vSphere constructs
    Type
    object
    Required
    datacenter
    PropertyTypeDescription
    computeClusterstring

    ComputeCluster as the failure domain

    datacenterstring

    The underlying infrastructure for this failure domain Datacenter as the failure domain

    datastorestring

    Datastore is the name or inventory path of the datastore in which the virtual machine is created/located.

    hostsobject

    Hosts has information required for placement of machines on VSphere hosts.

    networksarray

    Networks is the list of networks within this failure domain

    .spec.topology.hosts

    Description
    Hosts has information required for placement of machines on VSphere hosts.
    Type
    object
    Required
    hostGroupNamevmGroupName
    PropertyTypeDescription
    hostGroupNamestring

    HostGroupName is the name of the Host group

    vmGroupNamestring

    VMGroupName is the name of the VM group

    .spec.topology.networks

    Description
    Networks is the list of networks within this failure domain
    Type
    array

    .spec.topology.networks[]

    Type
    string

    .spec.zone

    Description
    Zone defines the name and type of a zone
    Type
    object
    Required
    nametagCategorytype
    PropertyTypeDescription
    autoConfigureboolean

    AutoConfigure tags the Type which is specified in the Topology

    namestring

    Name is the name of the tag that represents this failure domain

    tagCategorystring

    TagCategory is the category used for the tag

    typestring

    Type is the type of failure domain, the current values are "Datacenter", "ComputeCluster" and "HostGroup"

    API Endpoints

    The following API endpoints are available:

    • /apis/infrastructure.cluster.x-k8s.io/v1alpha3/namespaces/{namespace}/vspherefailuredomains
      • DELETE: delete collection of VSphereFailureDomain
      • GET: list objects of kind VSphereFailureDomain
      • POST: create a new VSphereFailureDomain
    • /apis/infrastructure.cluster.x-k8s.io/v1alpha3/namespaces/{namespace}/vspherefailuredomains/{name}
      • DELETE: delete the specified VSphereFailureDomain
      • GET: read the specified VSphereFailureDomain
      • PATCH: partially update the specified VSphereFailureDomain
      • PUT: replace the specified VSphereFailureDomain

    /apis/infrastructure.cluster.x-k8s.io/v1alpha3/namespaces/{namespace}/vspherefailuredomains

    HTTP method
    DELETE
    Description
    delete collection of VSphereFailureDomain
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    list objects of kind VSphereFailureDomain
    HTTP responses
    HTTP codeResponse body
    200 - OKVSphereFailureDomainList schema
    401 - UnauthorizedEmpty
    HTTP method
    POST
    Description
    create a new VSphereFailureDomain
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyVSphereFailureDomain schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKVSphereFailureDomain schema
    201 - CreatedVSphereFailureDomain schema
    202 - AcceptedVSphereFailureDomain schema
    401 - UnauthorizedEmpty

    /apis/infrastructure.cluster.x-k8s.io/v1alpha3/namespaces/{namespace}/vspherefailuredomains/{name}

    HTTP method
    DELETE
    Description
    delete the specified VSphereFailureDomain
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    202 - AcceptedStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    read the specified VSphereFailureDomain
    HTTP responses
    HTTP codeResponse body
    200 - OKVSphereFailureDomain schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update the specified VSphereFailureDomain
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKVSphereFailureDomain schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace the specified VSphereFailureDomain
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyVSphereFailureDomain schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKVSphereFailureDomain schema
    201 - CreatedVSphereFailureDomain schema
    401 - UnauthorizedEmpty